Currently in the date picker you can use the mouse *) to select a date, but you must use the keyboard to enter a time.

There are many time pickers created, some easier to use than others. Some ideas:
http://bit.ly/jB4tmU
http://bit.ly/jH280S
(the rest can easily be found on an image search for "time picker")

What is the opinion of the Usability Team on this?

*) or your favourite pointing device

Related issues:
related to TYPO3 CMS Usability Team - Bug # 27598: Style for the ExtJS datepi... Resolved 2011-06-21

History
#1 - 2011-06-13 20:21 - Jens Hoffmann

Hi,

I like the idea behind it. :) All data we could
add to that Form, should be available via the
GUI, too. Also the things like +1 Day, in my eyes.
But I got to say, I dislike the the UI you attached.

I would like to see a more generic solution.
Two simple Select-Box's or plain slider for it.

Like: http://trentrichardson.com/examples/timepicker/

Other opinions guys? :)

Greez Jens

#2 - 2011-06-13 21:28 - Fabien Udriot

I must admit I also like the jQuery UI Datepicker pointed by Jens which I often use in our projects.

The fact the widget is highly configurable is a good asset. See the list of examples.

Among them, I would like to highlight:
- define a min, max, default time
- define the bounce of the slider
- show / hide the second, minutes slider whenever it makes sense.

However, from the technical perspective, we should consider what is available in the ExtJS world IMO. Without digging too much into the topic, I have
spotted such a link
http://www.sencha.com/forum/showthread.php?22661-new-version-DateTime-Field
http://www.extjs.eu/ (apparently, there are more forum threads under the term "date")

#3 - 2011-06-13 21:44 - Fabien Udriot

As a hint, HTML5 has brought good progress for native solution in the browser

http://diveintohtml5.org/forms.html#type-date

There would be the Javascript fallback solution for the browsers that don't support the HTML5 attribute as a possible approach...

#4 - 2012-07-05 15:13 - Jens Hoffmann
- Status changed from New to Closed

Seems like a technical thing to me.
There is a UI Issue for the rest. #27598
